This is the GUI application to control and evaluate DRV8353RH/RS devices.

To start, please plug the EVM board into your computer's USB port and close this README.md file.

Choose the EVM board you have connected (DRV8353RS/RH) and the app will automatically connect to the hardware
* Click 'FOC Motor Control' to navigate to FOC Motor Control page

* Once connected, clicking on the ![](assets/images/connected.gif) button in the status bar will disconnect the app from the EVM.

* You can click the ![](assets/images/disconnected.gif) button in the status bar at the bottom of the app to manually connect to the EVM.

* If the app could not establish a connection with the EVM, an error shows up in the status bar 'TICloudAgent Config Error'. Please check if the selected EVM is connected properly and click on the ![](assets/images/error.gif) to go to disconnected state. click the ![](assets/images/disconnected.gif) button to try connecting to the EVM again.

* Navigate to 'Register' page (only for DRV8353RS device) by clicking the 'Pencil' icon on the sidebar menu, to read write any register/field/bit on the device. Note, this option is available only when 'System' is enabled.

* Go back to the Device selection Home page at any point of time by clicking on the Back button (The last option) on the sidebar Menu.


**To see this readme again once it has been closed, please select Help / View README.md**

*Copyright (c) 2018 Texas Instruments Incorporated. All rights reserved.*
